> For the complete documentation index, see [llms.txt](https://docs.unimarket.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unimarket.com/api-reference/getting-started/errors.md).

# Errors

The Nova Public API uses standard HTTP status codes to indicate success or failure.

## Status codes

| Code                        | Meaning                                 |
| --------------------------- | --------------------------------------- |
| `200 OK`                    | Request succeeded                       |
| `400 Bad Request`           | Invalid request parameters              |
| `401 Unauthorized`          | Missing or invalid authentication token |
| `403 Forbidden`             | Token valid but access denied           |
| `404 Not Found`             | Resource does not exist                 |
| `500 Internal Server Error` | Unexpected server error                 |

## Error response shape

Error responses return a JSON body with details about what went wrong:

```json
{
  "status": 400,
  "error": "Bad Request",
  "message": "Invalid value for parameter 'size'"
}
```

| Field     | Type    | Description                             |
| --------- | ------- | --------------------------------------- |
| `status`  | integer | HTTP status code                        |
| `error`   | string  | Short error label                       |
| `message` | string  | Human-readable description of the error |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unimarket.com/api-reference/getting-started/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
